# Interface LocalName

All Superinterfaces:
  `Comparable<GenericName>, GenericName`

All Known Subinterfaces:
  `MemberName, TypeName`

All Known Implementing Classes:
  `DefaultLocalName, DefaultMemberName, DefaultTypeName`

@UML(identifier="LocalName", specification=ISO_19103) public interface LocalName extends GenericName
Identifier within a name space for a local object. Local names are names which are directly accessible to and maintained by a name space. Names are local to one and only one name space. The name space within which they are local is indicated by the scope.

Since:
  2.0
See Also:
  - `NameFactory​.createLocalName(NameSpace, CharSequence)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `depth()`
  Returns the depth, which is always 1 for a local name.
  `List<? extends LocalName>`
  `getParsedNames()`
  Returns the sequence of local name.
  `LocalName`
  `head()`
  Returns `this` since this object is already a local name.
  `LocalName`
  `tip()`
  Returns `this` since this object is already a local name.
  `String`
  `toString()`
  Returns a locale-independent string representation of this local name.

  ### Methods inherited from interface Comparable

  `compareTo`

  ### Methods inherited from interface GenericName

  `push, scope, toFullyQualifiedName, toInternationalString`

- ## Method Details

  - ### depth

    int depth()
    Returns the depth, which is always 1 for a local name.
    Specified by:
      `depth` in interface `GenericName`
    Returns:
      The depth of this name.

  - ### getParsedNames

    @UML(identifier="parsedName", obligation=MANDATORY, specification=ISO_19103) List<? extends LocalName> getParsedNames()
    Returns the sequence of local name. Since this object is itself a locale name, this method always returns a singleton containing only `this`.
    Specified by:
      `getParsedNames` in interface `GenericName`
    Returns:
      The local names making this generic name, without the scope. Shall never be `null` neither empty.

  - ### head

    LocalName head()
    Returns `this` since this object is already a local name.
    Specified by:
      `head` in interface `GenericName`
    Returns:
      The first element in the list of parsed names.
    Since:
      2.2

  - ### tip

    LocalName tip()
    Returns `this` since this object is already a local name.
    Specified by:
      `tip` in interface `GenericName`
    Returns:
      The last element in the list of parsed names.
    Since:
      2.1

  - ### toString

    @UML(identifier="aName", obligation=MANDATORY, specification=ISO_19103) String toString()
    Returns a locale-independent string representation of this local name.
    Specified by:
      `toString` in interface `GenericName`
    Overrides:
      `toString` in class `Object`
    Returns:
      A local-independent string representation of this name.